# Contributing to mozilla.ai Blueprints

Thank you for your interest in contributing to this repository! This project is part of the Blueprints initiative, which empowers developers to integrate AI capabilities into their projects using open-source tools and models.

We welcome all kinds of contributions, from improving customization, to extending capabilities, to fixing bugs. Your efforts help make Blueprints better and more impactful! Whether you’re an experienced developer or just starting out, your support is highly appreciated.

---

## **How to Contribute**

### **Browse Existing Issues** 🔍
- Check the [Issues](https://github.com/mozilla-ai/document-to-podcast/issues) page to see if there are any tasks you'd like to tackle.
- Look for issues labeled **`good first issue`** if you're new to the project—they're a great place to start.

### **Report Issues** 🐛

- Found a bug? Open a [Bug Report](https://github.com/mozilla-ai/document-to-podcast/issues/new?assignees=&labels=bug&projects=document-to-podcast&template=bug_report.yaml&title=%5BBUG%5D%3A+).
- Provide as much detail as possible, including the steps to reproduce the issue and Expected vs. actual behavior

### **Suggest Features** 🚀
- Have an idea for improving the Blueprint? Open a [Feature Request](https://github.com/mozilla-ai/document-to-podcast/issues/new?assignees=&labels=enhancement&projects=Document-to-podcast&template=feature_request.yaml&title=%5BFEATURE%5D%3A+).
- Share why the feature is important and any alternative solutions you’ve considered.

### **Submit Pull Requests** 💻
- Fork the repository and create a new branch for your changes.
- Ensure your branch is up-to-date with the main branch before submitting the PR
- Please follow the PR template, adding as much detail as possible, including how to test the changes

---

## **Contribution Ideas**

Looking for inspiration? Check out the [Future Features & Contributions page](https://mozilla-ai.github.io/document-to-podcast/future-features-contributions/) to explore meaningful ways you can enhance and extend this Blueprint.
Please also feel free to get involved in this repo's [GitHub Discussions](https://github.com/mozilla-ai/document-to-podcast/discussions) to engage in ideas, get feedback, or ask questions.

---

### **Guidelines for Contributions**

**Coding Standards**
- Follow PEP 8 for Python formatting.
- Use clear variable and function names and add comments to improve readability.

**Testing**
- Test changes locally and in GitHub Codespaces to ensure functionality.

**Documentation**
- Update docs for changes to functionality and maintain consistency with existing docs.
